function [ criteria ] = error_func_2(par,target)

mu_1=par(1);
var_1=par(2);
var_2=par(3);
p1=par(4);
p2=1-p1;
mu_2=-p1*mu_1/p2;


mu_eps=p1*mu_1+p2*mu_2;

m2_e=p1*(mu_1^2+var_1)+p2*(mu_2^2+var_2);
var_eps=m2_e-mu_eps^2;

m3_e=p1*(mu_1*(mu_1^2+3*var_1))+p2*(mu_2*(mu_2^2+3*var_2));
skew_eps=(m3_e-3*mu_eps*var_eps-mu_eps^3)/(sqrt(var_eps)^3);

m4_e=p1*(mu_1^4+6*mu_1^2*var_1+3*var_1^2)+ ...
              p2*(mu_2^4+6*mu_2^2*var_2+3*var_2^2);
         

kur_eps=(m4_e-3*mu_eps^4+6*m2_e*mu_eps^2- ...
           4*mu_eps*m3_e)/(var_eps^2);


MR=[var_eps/target(1);skew_eps/target(2);kur_eps/target(3)];       
criteria=100*(MR(1)-1)^2+(MR(2)-1)^2+(MR(3)-1)^2;

end

